Bug 823497 - Quickstart problems
Quickstart problems
Status: VERIFIED
Product: JBoss Data Grid 6
Classification: JBoss
Component: Build (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity medium
: ---
: 6.0.0
Assigned To: Tristan Tarrant
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-21 07:51 EDT by Martin Gencur
Modified: 2013-10-06 20:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
JBossTS error on Tomcat (6.89 KB, text/plain)
2012-06-01 08:17 EDT, Martin Gencur
no flags Details

  None (edit)
Description Martin Gencur 2012-05-21 07:51:04 EDT
Description of problem:

Quickstarts examples contain a few bugs/inconsistencies in ER10:

* <datagrid.version> is 5.1.5.CR1 but this should be OK once CR1 is out :)
(after changing to ER10 the examples worked)
* carmart (non-transactional) now contains jdg.properties file but datagrid.properties is still referenced from com.jboss.datagrid.carmart.session.CacheContainerProvider.java
* connectors in datagrid subsystem depend on cache-container="local" but endpoint examples define (suggested in readme files) cache-container name="default" -> the server does not start properly, we should change the readme files to work with cache-container named "local"
* transactional-carmart uses <groupId>org.jboss.jbossts</groupId>
                    <artifactId>jbossjta</artifactId>
                    <version>4.14.0.Final</version> in Tomcat profile, I noticed we are shipping the jar now so we should change the version in the pom file to align with the one being shipped
Comment 1 Martin Gencur 2012-06-01 08:15:58 EDT
There are still some issues around quickstarts. Especially more issues because I used a JDG maven repo prepared as a zip file.

Issues that remains since ER10 and were not fixed:

1) connectors in datagrid subsystem depend on cache-container="local" but endpoint examples define (suggested in readme files) cache-container name="default" -> the server does not start properly, we should change the readme files to work with cache-container named "local"

New issues:

2) HotRod endpoint example cannot be built because the prepared maven repo is missing the following dependencies:

org.rhq.helpers.rhq-pluginAnnotations:3.0.4-redhat-1
org.rhq-parent:4.0.1-redhat-1

3) readme file for endpoint examples contain listener-executor="infinispan-listener" in Infinispan subsystem configuration, but this executor is not defined in standalone.xml shipped with JDG so the cache finally does not start properly. Removing this listener-executor fixes the problem

4) carmart examples is missing the following dependencies in the prepared maven repo:

infinispan-parent:5.1.5.FINAL-redhat-1
org.jboss.jboss-parent:8-redhat-1
org.jboss.component.management.jboss-component-version-master:
6.0.0-redhat-1
org.jboss.marshalling.jboss-marshalling-parent:1.3.14.GA-redhat-1

5) carmart-transactional now defines a dependency to jbossjta-4.16.4.Final-redhat-1.jar but it does not enable users to install it into local maven repo by "mvn initialize -Pinit-repo" - similar to how other needed libraries are installed

6) carmart-transactional (after manual installing of jbossts to local repo) fails to deploy to tomcat7 -> slf4j version mismatch:

Jun 1, 2012 1:55:29 PM org.apache.catalina.startup.HostConfig deployWAR
INFO: Deploying web application archive /home/mgencur/containers/tomcat7/apache-tomcat-7.0.27/webapps/carmart-quickstart-tx.war
SLF4J: The requested version 1.5.10 by your slf4j binding is not compatible with [1.6]

Adding an explicit dependency to slf4j helps here, e.g.:
<dependency>
  <groupId>org.slf4j</groupId>
  <artifactId>slf4j-api</artifactId>
  <version>1.5.6</version>
  <scope>runtime</scope>
</dependency>

7) carmart-transactional (after adding the explicit dependency on slf4j) is still not able to deploy to tomcat 7 because of a problem with JBossTS. The productized version throws the attached exception. When I changed this version to "4.16.4.Final" (notice missing -redhat-1), the application got running without problem.
Comment 2 Martin Gencur 2012-06-01 08:17:32 EDT
Created attachment 588425 [details]
JBossTS error on Tomcat
Comment 3 Martin Gencur 2012-06-01 08:49:07 EDT
And one more issue... carmart (non-transactional) need the following dependency to be added in its "remote" maven profile:

<dependency>
   <groupId>javax.faces</groupId>
   <artifactId>jsf-api</artifactId>
   <version>${jsf.version}</version>
   <scope>provided</scope>
</dependency>

I admit this one should have been spotted earlier.
Comment 4 prabhat jha 2012-06-01 10:43:42 EDT
Tristan: before officially delivering CR tag, we should verify that all quick start examples work. Martin can help pre-verify if needed.

Steve had talked about this in meeting as well.
Comment 5 Martin Gencur 2012-06-10 16:13:07 EDT
The following dependencies are still missing in the maven repo (CR2) and the transactional carmart example's build fails in the Tomcat profile:

org.jfree.jcommon:1.0.17-redhat-1
org.jfree.jfreechart:1.0.14-redhat-1

All other bugs were fixed.
Comment 6 Tristan Tarrant 2012-06-11 03:11:38 EDT
Martin, could you please test this: http://download.lab.bos.redhat.com/devel/jdg/stage/exchange/jboss-datagrid-maven-repository-6.0.0.CR2.zip
Comment 7 Martin Gencur 2012-06-11 04:06:38 EDT
Tested. This repo looks good already.
Comment 8 mark yarborough 2012-06-13 08:19:31 EDT
Move to GA, per ttarrant on #jdg

Note You need to log in before you can comment on or make changes to this bug.